package com.ccnode.codegenerator.view;

package .tmp;

import com.ccnode.codegenerator.ae.p;
import com.ccnode.codegenerator.ae.v;
import com.ccnode.codegenerator.dom.model.IdDomElement;
import com.ccnode.codegenerator.dom.model.Mapper;
import com.ccnode.codegenerator.myconfigurable.ProjectProfile;
import com.ccnode.codegenerator.view.e.e;
import com.intellij.codeInsight.daemon.RelatedItemLineMarkerInfo;
import com.intellij.codeInsight.daemon.RelatedItemLineMarkerProvider;
import com.intellij.codeInsight.navigation.NavigationGutterIconBuilder;
import com.intellij.openapi.editor.markup.GutterIconRenderer;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiExpression;
import com.intellij.psi.PsiMethod;
import com.intellij.psi.PsiMethodCallExpression;
import com.intellij.psi.PsiReferenceExpression;
import com.intellij.psi.xml.XmlTag;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Comparator;
import java.util.List;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.SourceDebugExtension;
import kotlin.text.StringsKt;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000$\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\000\n\002\020\037\n\002\030\002\n\002\b\002\030\000 \n2\0020\001:\001\nB\005¢\006\002\020\002J$\020\003\032\0020\0042\006\020\005\032\0020\0062\022\020\007\032\016\022\n\b\000\022\006\022\002\b\0030\t0\bH\024¨\006\013"}, d2 = {"Lcom/ccnode/codegenerator/view/MybatisSqlSessionSelectLineMarkerProvider;", "Lcom/intellij/codeInsight/daemon/RelatedItemLineMarkerProvider;", "()V", "collectNavigationMarkers", "", "element", "Lcom/intellij/psi/PsiElement;", "result", "", "Lcom/intellij/codeInsight/daemon/RelatedItemLineMarkerInfo;", "Companion", "MyBatisCodeHelper-Pro241"})
@SourceDebugExtension({"SMAP\nMybatisSqlSessionSelectLineMarkerProvider.kt\nKotlin\n*S Kotlin\n*F\n+ 1 MybatisSqlSessionSelectLineMarkerProvider.kt\ncom/ccnode/codegenerator/view/MybatisSqlSessionSelectLineMarkerProvider\n+ 2 _Collections.kt\nkotlin/collections/CollectionsKt___CollectionsKt\n*L\n1#1,102:1\n1045#2:103\n*S KotlinDebug\n*F\n+ 1 MybatisSqlSessionSelectLineMarkerProvider.kt\ncom/ccnode/codegenerator/view/MybatisSqlSessionSelectLineMarkerProvider\n*L\n60#1:103\n*E\n"})
public final class F extends RelatedItemLineMarkerProvider {
  @NotNull
  public static final a a = new a(null);
  
  protected void collectNavigationMarkers(@NotNull PsiElement paramPsiElement, @NotNull Collection<? super RelatedItemLineMarkerInfo<?>> paramCollection) {
    Intrinsics.checkNotNullParameter(paramPsiElement, "");
    Intrinsics.checkNotNullParameter(paramCollection, "");
    Intrinsics.checkNotNullExpressionValue(paramPsiElement.getProject(), "");
    Project project = paramPsiElement.getProject();
    Intrinsics.checkNotNullExpressionValue(e.a(project), "");
    e e = e.a(project);
    Intrinsics.checkNotNullExpressionValue(e.a().getProjectProfile(), "");
    ProjectProfile projectProfile = e.a().getProjectProfile();
    if (!projectProfile.getSupportSqlSessionSelect())
      return; 
    if (paramPsiElement instanceof PsiMethodCallExpression) {
      Intrinsics.checkNotNullExpressionValue(((PsiMethodCallExpression)paramPsiElement).getMethodExpression(), "");
      PsiReferenceExpression psiReferenceExpression = ((PsiMethodCallExpression)paramPsiElement).getMethodExpression();
      String str = ((PsiMethodCallExpression)paramPsiElement).getText();
      PsiElement psiElement = psiReferenceExpression.resolve();
      if (psiElement instanceof PsiMethod) {
        PsiClass psiClass = ((PsiMethod)psiElement).getContainingClass();
        if (a.a(psiClass)) {
          Intrinsics.checkNotNullExpressionValue(((PsiMethodCallExpression)paramPsiElement).getArgumentList().getExpressions(), "");
          PsiExpression[] arrayOfPsiExpression = ((PsiMethodCallExpression)paramPsiElement).getArgumentList().getExpressions();
          if (arrayOfPsiExpression.length > 0) {
            PsiExpression psiExpression = arrayOfPsiExpression[0];
            String str1 = psiExpression.getText();
            System.out.println(str1);
            String str2 = str1;
            Intrinsics.checkNotNull(str2);
            if (StringsKt.startsWith$default(str2, "\"", false, 2, (Object)null)) {
              str2 = str1;
              Intrinsics.checkNotNull(str2);
              if (StringsKt.endsWith$default(str2, "\"", false, 2, (Object)null)) {
                str2 = str1;
                Intrinsics.checkNotNull(str2);
                str2 = str2;
                boolean bool = true;
                int j = str1.length() - 1;
                Intrinsics.checkNotNullExpressionValue(str2.substring(bool, j), "");
                str1 = str2.substring(bool, j);
                String str3 = str1;
                Intrinsics.checkNotNull(str3);
                int i = StringsKt.lastIndexOf$default(str3, ".", 0, false, 6, (Object)null);
                if (i > 0) {
                  String str4 = str1;
                  Intrinsics.checkNotNull(str4);
                  str4 = str4;
                  boolean bool1 = false;
                  Intrinsics.checkNotNullExpressionValue(str4.substring(bool1, i), "");
                  str3 = str4.substring(bool1, i);
                  Intrinsics.checkNotNullExpressionValue(v.a(paramPsiElement, project, str3), "");
                  Collection collection = v.a(paramPsiElement, project, str3);
                  ArrayList<XmlTag> arrayList = new ArrayList();
                  for (Mapper mapper : collection) {
                    for (IdDomElement idDomElement : mapper.getDaoElements()) {
                      if (Intrinsics.areEqual(v.b(idDomElement), str1)) {
                        Intrinsics.checkNotNull(idDomElement.getXmlTag());
                        arrayList.add(idDomElement.getXmlTag());
                      } 
                    } 
                  } 
                  if (!arrayList.isEmpty()) {
                    ArrayList<XmlTag> arrayList1 = arrayList;
                    boolean bool2 = false;
                    List<XmlTag> list = 









































                      
                      CollectionsKt.sortedWith(arrayList1, (Comparator<? super XmlTag>)new b());
                    for (XmlTag xmlTag : list) {
                      Intrinsics.checkNotNullExpressionValue(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setTarget(xmlTag).createLineMarkerInfo(paramPsiElement), "");
                      paramCollection.add(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setTarget(xmlTag).createLineMarkerInfo(paramPsiElement));
                    } 
                  } 
                } 
              } 
            } 
          } 
        } 
      } 
    } 
    super.collectNavigationMarkers(paramPsiElement, paramCollection);
  }
}
